MessageConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.MessageConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface MessageConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface MessageConstants

Error Messages defined in Application.Properties file

Field Summary
`static java.lang.String` | `CNF_AUTO_BASELINE_SET`
`static java.lang.String` | `CNF_METRIC_DISPLAY_RANGE_CHANGED`
`static java.lang.String` | `CNF_METRICS_BASELINE_SET`
`static java.lang.String` | `ERR_CAM_GENERAL`
`static java.lang.String` | `ERR_DUP_CLUSTER_ASSIGNMENT`
`static java.lang.String` | `ERR_DUP_RESOURCE_FOUND`
`static java.lang.String` | `ERR_DUP_ROLE_CREATION`
`static java.lang.String` | `ERR_PERM_USER_REMOVAL`
`static java.lang.String` | `ERR_PLATFORM_HEALTH_ATTR`
`static java.lang.String` | `ERR_PLATFORM_NOT_FOUND`
`static java.lang.String` | `ERR_RESOURCE_ID_FOUND`
`static java.lang.String` | `ERR_RESOURCE_LIST_VIEW_PERM`
`static java.lang.String` | `ERR_RESOURCE_NOT_FOUND`
`static java.lang.String` | `ERR_RESOURCE_VIEW_PERM`
`static java.lang.String` | `ERR_ROLE_NOT_FOUND`
`static java.lang.String` | `ERR_SERVER_HEALTH_ATTR`
`static java.lang.String` | `ERR_URL_NOT_SPECIFIED`

Field Detail

### ERR_CAM_GENERAL

    static final java.lang.String ERR_CAM_GENERAL

See Also:
  Constant Field Values

### ERR_ROLE_NOT_FOUND

    static final java.lang.String ERR_ROLE_NOT_FOUND

See Also:
  Constant Field Values

### ERR_DUP_ROLE_CREATION

    static final java.lang.String ERR_DUP_ROLE_CREATION

See Also:
  Constant Field Values

### ERR_PERM_USER_REMOVAL

    static final java.lang.String ERR_PERM_USER_REMOVAL

See Also:
  Constant Field Values

### ERR_RESOURCE_NOT_FOUND

    static final java.lang.String ERR_RESOURCE_NOT_FOUND

See Also:
  Constant Field Values

### ERR_RESOURCE_ID_FOUND

    static final java.lang.String ERR_RESOURCE_ID_FOUND

See Also:
  Constant Field Values

### ERR_DUP_RESOURCE_FOUND

    static final java.lang.String ERR_DUP_RESOURCE_FOUND

See Also:
  Constant Field Values

### ERR_DUP_CLUSTER_ASSIGNMENT

    static final java.lang.String ERR_DUP_CLUSTER_ASSIGNMENT

See Also:
  Constant Field Values

### ERR_RESOURCE_VIEW_PERM

    static final java.lang.String ERR_RESOURCE_VIEW_PERM

See Also:
  Constant Field Values

### ERR_RESOURCE_LIST_VIEW_PERM

    static final java.lang.String ERR_RESOURCE_LIST_VIEW_PERM

See Also:
  Constant Field Values

### ERR_PLATFORM_NOT_FOUND

    static final java.lang.String ERR_PLATFORM_NOT_FOUND

See Also:
  Constant Field Values

### ERR_URL_NOT_SPECIFIED

    static final java.lang.String ERR_URL_NOT_SPECIFIED

See Also:
  Constant Field Values

### ERR_PLATFORM_HEALTH_ATTR

    static final java.lang.String ERR_PLATFORM_HEALTH_ATTR

See Also:
  Constant Field Values

### ERR_SERVER_HEALTH_ATTR

    static final java.lang.String ERR_SERVER_HEALTH_ATTR

See Also:
  Constant Field Values

### CNF_METRIC_DISPLAY_RANGE_CHANGED

    static final java.lang.String CNF_METRIC_DISPLAY_RANGE_CHANGED

See Also:
  Constant Field Values

### CNF_METRICS_BASELINE_SET

    static final java.lang.String CNF_METRICS_BASELINE_SET

See Also:
  Constant Field Values

### CNF_AUTO_BASELINE_SET

    static final java.lang.String CNF_AUTO_BASELINE_SET

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.